#!/bin/sh

if ! [ -x /usr/bin/unzip ]; then
  echo "Error: unzip not found!"
  exit 1;
fi

if ! [ -x /usr/bin/convert ]; then
  echo "Error: convert - imagemagick not found"
  exit 1;
fi

if ! [ -x /usr/bin/unrar ]; then
  echo "Error: unrar not found!"
  exit 1;
fi


###################
##copperheadlogos##
###################

wget -r -l 1 -A png http://copperhead.vdr-developer.org/downloads/channellogos/pearlhd_reduced_logos/

mv copperhead.vdr-developer.org/downloads/channellogos/pearlhd_reduced_logos copperheadlogos_orig

rm -rf copperhead.vdr-developer.org/

mkdir copperheadlogos

cd copperheadlogos_orig


for pic in *.png; do
  mogrify -geometry 60x60! "$pic"
done 

convert -size 80x80 xc:white white.png

for pic in *.png; do
  echo "scaling $pic"
  composite -geometry +10+10  "$pic" white.png ../copperheadlogos/"$pic"
done

################
##reelboxlogos##
################

cd ../

wget http://www.reelbox4you.tv/wbb2/filebase_redirect.php?fid=516 -O reellogos.rar
mkdir reellogos_orig
mkdir reellogosconv
mkdir reellogos

unrar e -y reellogos.rar reellogos_orig/

cd reellogos_orig

convert -size 80x78 xc:white white.png

cat ../logo2scale.txt |\
while read pic; do
  echo "scaling $pic"
  mogrify -geometry 80x60! "$pic"
  composite -geometry +0+9  "$pic" white.png ../reellogosconv/"$pic"
done

for i in *.png; do 
 grep "$i" ../logo2scale.txt > /dev/null
  if  [ $? -eq 1 ]; then
    echo "converting $i"
    convert "$i" ../reellogosconv/"$i"
  fi 
done

cd ../reellogosconv

for n in *.png; do
  echo "reducing $n"
  convert -geometry 80x78! -depth 4  "$n"  ../reellogos/"$n"
done  

cd ../

rm -r reellogosconv/ reellogos_orig/ 
  
exit 0


